Gantry::Plugins::AutoCRUDHelper::CDBI(3)

NAME
Gantry::Plugins::AutoCRUDHelper::CDBI - the actual CRUD for CDBI AutoCRUD

SYNOPSIS
This module is used for you by Gantry::Plugins::AutoCRUD. It is in fact the default helper. It supports Class::DBI models which inherit from Gantry::Utils::CDBI.

DESCRIPTION
Inside Gantry::Plugins::AutoCRUD, whenever actual database work needs to be done, your model is asked to supply a helper by calling its get_orm_helper method. If that method returns 'Gantry::Plugins::AutoCRUDHelper::CDBI' or that method is missing, this module is used to do database work.

METHODS
The methods of this module are documented in Gantry::Plugins::AutoCRUD, but here is a list for completeness (and to keep POD testers happy):

insert
retrieve
update
delete

SEE ALSO
    Gantry::Plugins::AutoCRUDHelper
    Gantry::Plugins::AutoCRUDHelper::DBIxClass

AUTHOR
Phil Crow <philcrow2000@yahoo.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Phil Crow

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.